# List machine chaos infras

List machine chaos infras

Endpoint: POST /gateway/chaos/manager/api/rest/machine/infras
Version: 1.0
Security: 

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `minimalResponse` (boolean)
    send minimal infra response, default is false

  - `infraType` (string, required)
    infra type

  - `page` (integer, required)
    page number

  - `limit` (integer, required)
    limit per page

  - `search` (string)
    search based on name

## Request fields (application/json):

  - `environmentIDs` (array)
    Environment ID

  - `filter` (object)
    Details for fetching filtered data

  - `filter.description` (string)
    ID of the infra

  - `filter.experimentVersion` (string)
    Experiment version of the infra

  - `filter.infraID` (string)
    ID of the infra

  - `filter.isActive` (boolean)
    Status of infra

  - `filter.name` (string)
    Name of the infra

  - `filter.status` (string)
    Status of the infra

  - `filter.tags` (array)
    Tags of an infra

  - `infraIDs` (array)
    Array of infra IDs for which details will be fetched

  - `sort` (object)
    Sort the infrastructures based on field

  - `sort.ascending` (boolean)
    Bool value indicating whether the sorting will be done in ascending order

  - `sort.field` (string)
    Field in which sorting will be done
    Enum: "LAST_MODIFIED", "NAME"

## Response 200 fields (application/json):

  - `infras` (array)
    Details related to the infras

  - `infras.createdAt` (string)
    Timestamp when the infra was created

  - `infras.createdBy` (object)
    User who created the infra

  - `infras.createdBy.email` (string)

  - `infras.createdBy.userID` (string)

  - `infras.createdBy.username` (string)

  - `infras.description` (string)
    Description of the infra

  - `infras.environmentID` (string)
    Environment ID for the infra

  - `infras.hostname` (string)
    Hostname of the infra

  - `infras.infraID` (string)
    ID of the infra

  - `infras.isActive` (boolean)
    Boolean value indicating if chaos infrastructure is active or not

  - `infras.isInfraConfirmed` (boolean)
    Boolean value indicating if chaos infrastructure is confirmed or not

  - `infras.isRegistered` (boolean)
    IsRegistered indicates if the infra is registered

  - `infras.lastHeartbeat` (string)
    Last Heartbeat status sent by the infra

  - `infras.lastWorkflowTimestamp` (string)
    Timestamp of the last workflow run in the infra

  - `infras.name` (string)
    Name of the infra

  - `infras.noOfSchedules` (integer)
    Number of schedules created in the infra

  - `infras.noOfWorkflows` (integer)
    Number of workflows run in the infra

  - `infras.startTime` (string)
    Timestamp when the infra got connected

  - `infras.status` (string)
    Status of the infrastructure
    Enum: "ACTIVE", "INACTIVE", "PENDING"

  - `infras.tags` (array)
    Tags of the infra

  - `infras.updatedAt` (string)
    Timestamp when the infra was last updated

  - `infras.updatedBy` (object)
    User who has updated the infra

  - `infras.updatedBy.email` (string)

  - `infras.updatedBy.userID` (string)

  - `infras.updatedBy.username` (string)

  - `infras.userInputs` (object)
    User inputs for the infra

  - `infras.userInputs.abortPollInterval` (string)
    The interval at which abort is polled for a running task

  - `infras.userInputs.chaosInfrastructureLogFileDirectory` (string)
    Name of the log file directory

  - `infras.userInputs.chaosInfrastructureLogFileMaxBackups` (integer)
    Maximum number of log file backups

  - `infras.userInputs.chaosInfrastructureLogFileMaxSize` (integer)
    Maximum size of log file in MB

  - `infras.userInputs.customTlsCertificate` (string)
    TLS certificate to be used with the infrastructure

  - `infras.userInputs.experimentLogFileMaxAgeDays` (integer)
    Maximum age of log file in days

  - `infras.userInputs.httpClientTimeout` (string)
    The timeout duration for the infrastructure http client

  - `infras.userInputs.httpProxy` (string)
    URL for the http proxy

  - `infras.userInputs.httpsProxy` (string)
    URL for the https proxy

  - `infras.userInputs.infraSpecificUserInputs` (object)
    Infra specific user inputs

  - `infras.userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs` (object)

  - `infras.userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.allowedOrigins` (string)
    The origins to be exempted from CORS

  - `infras.userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.httpPort` (string)
    The port at which CFCO should be started

  - `infras.userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.livenessCheckInterval` (string)
    The interval at which app instances liveness is checked

  - `infras.userInputs.infraSpecificUserInputs.cloudFoundryInfraUserInputs.maxHeartbeatDelay` (string)
    The maximum delay in the liveness update of app instances after which they get removed

  - `infras.userInputs.infraSpecificUserInputs.containerInfraUserInputs` (object)

  - `infras.userInputs.infraSpecificUserInputs.containerInfraUserInputs.deploymentType` (string)
    The deployment type for the container infrastructure
    Enum: "AWS_ECS_EC2", "AWS_ECS_FARGATE"

  - `infras.userInputs.infraSpecificUserInputs.containerInfraUserInputs.platformType` (string)
    The platform type for the container infrastructure
    Enum: "AWS_ECS", "DOCKER_COMPOSE", "HASHICORP_NOMAD"

  - `infras.userInputs.livenessUpdateInterval` (string)
    The interval at which chaos infrastructure updates liveness heartbeat

  - `infras.userInputs.noProxy` (string)
    Comma separated URLs that won't be proxied

  - `infras.userInputs.taskPollInterval` (string)
    The polling interval for fetching the new tasks

  - `infras.userInputs.taskUpdateInterval` (string)
    Task update interval

  - `infras.userInputs.updateRetries` (integer)
    Specifies the maximum number of retries in case of a failure while sending a task status or result

  - `infras.userInputs.updateRetryInterval` (string)
    Specifies the interval between the subsequent attempts to send a fault status or result, in case of a failure

  - `infras.version` (string)
    Version of the infra

  - `totalNoOfInfras` (integer)
    Total number of infras

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


